/*
Theme Name: Spokane Workforce Council - Beaver Builder Child Theme
Theme URI: https://vexingmedia.com
Version: 1.0
Description: Website theme designed by Vexing Media for Spokane Workforce Council
Author: Vexing Media
Author URI: https://vexingmedia.com
template: bb-theme
*/

/*** MISC ***/
h3, h4, h5, h6 {
	font-family: Lato, sans-serif;
}

.ul-columns ul {
	column-count: 3;
  column-gap: 2rem;
  padding: 0;
	list-style-type: none;
	line-height: 2em;
}

#fl-main-content .fl-accordion-button .fl-accordion-button-icon {
	opacity: 1;
}

#fl-main-content .fl-accordion-button-label:focus,
#fl-main-content .fl-accordion-button-label:active,
#fl-main-content .fl-accordion-button-icon:focus,
#fl-main-content .fl-accordion-button-icon:active {
	outline-width: 0px;
}

.icon-stacked .fl-icon,
.icon-stacked .fl-icon-text {
	display: block;
	width: 100%;
	text-align: center;
	margin: 0 auto;
}

.icon-stacked .fl-icon i {
	float: none;
}

@media screen and (max-width: 768px) {
	.ul-columns ul {
		column-count: 1;
		line-height: 1.4em;
	}
	
	.btn-mobile-full_width .fl-button-group-button,
	.btn-mobile-full_width .fl-button-wrap {
		width: 100% !important;
	}
}

/* Button Push */
.btn-push .fl-col-content {
	display: flex;
	flex-direction: column;
}

.btn-push .fl-col-content .fl-module-button {
	flex: 1 0 auto;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
}

/* Remove Bottom Margin From Last P in BB Text Module */
.fl-rich-text p:last-child {
   margin-bottom: 0;
}

/* BB Button Alternate Styles */
#fl-main-content .btn-white a.fl-button {
	background: #fff;
	border-color: #fff;
}

#fl-main-content .btn-white a.fl-button span {
	color: #32394d;
}

#fl-main-content .btn-white a.fl-button:hover {
	background: #32394d;
	border-color: #32394d;
}

#fl-main-content .btn-white a.fl-button:hover span {
	color: #fff;
}

/* Buttons with Icons */
a.fl-button-icon-animation:hover span {
	margin-left: 10px;
}

/* HR w/Logo */
.hr-logo .fl-separator {
	position: relative;
	margin: 60px 0 40px;
}

.hr-logo .fl-separator::before {
	content: '';
	background: url(https://spokaneworkforce.org/wp-content/uploads/2025/05/logo-mark_small.png);
	height: 114px;
	width: 114px;
	position: absolute;
	left: calc(50% - 57px);
	top: -59px;
}

/* Underlined Headers */
.heading-underlined {
	position: relative;
}

.heading-underlined::after {
	content: '';
	height: 8px;
	width: 6em;
	left: calc(50% - 3em);
	position: absolute;
	background: #899fb1;
}

/* Semi Border */
.border-semi {
  position: relative;
  padding: 2rem;
  background: transparent;
  background-repeat: no-repeat;
  background-position: top left, top left;
  background-size: 100% 8px, /* Top */
                   8px 30%; /* Left */
  background-image:
    linear-gradient(to right, #899fb1, #899fb1),
    linear-gradient(to bottom, #899fb1, #899fb1);
}


/*** Header ***/
/* Clear BB's Default Nav Item Border */
#menu-main-menu li,
#menu-main-menu li li {
	border: 0;
}

/* Highlight Active/Hover Menu Items */
#menu-main-menu > li > a:hover,
#menu-main-menu > li > div > a:hover,
#menu-main-menu li.current-menu-item > :not(ul) a,
#menu-main-menu li.current-menu-item > div > a,
#menu-main-menu li.current_page_ancestor > div > a,
#menu-main-menu li.current-menu-ancestor > div > a {
	border-bottom: 5px solid #91ba40;
}

#menu-main-menu > li > a,
#menu-main-menu > li > :not(ul) a {
	border-bottom: 5px solid #fff;
}

#menu-main-menu li.current-menu-item > a,
#menu-main-menu li.current-menu-item > div > a,
#menu-main-menu li.current-menu-ancestor > div > a {
	font-weight: bold;
}

/* Tablet & Mobile */
@media screen and (max-width: 992px) {
		.fl-menu .fl-menu-mobile-flyout {
		padding: 0;
	}
	
	.fl-menu-mobile-flyout button,
	.fl-menu-mobile-flyout button:hover {
		font-size: 1.8em;
		padding: 15px 0 0 15px;
	}
	
	#menu-main-menu ul.sub-menu {
		padding: 0;
		background: #e6e5e2;
	}
	
	/* Highlight Active Menu Item */
	#menu-main-menu ul.sub-menu li.current-menu-item > a {
		background: #32394d;
		color: #fff;
	}
}

@media screen and (min-width: 769px) and (max-width: 992px) {
	.fl-menu .fl-menu-mobile-flyout {
		width: 267px;
	}
	
	#menu-main-menu a {
		font-size: 1.6em;
		padding: 15px 20px;
	}
}

@media screen and (max-width: 768px) {
	#menu-main-menu a {
		font-size: 1.3em;
		padding: 15px 20px;
	}
}

/*** Footer ***/
footer .links-bold a {
	text-decoration: none;
	font-weight: bold;
}

footer .links-bold a:hover {
	text-decoration: underline;
}

/*** Home Page ***/

/* Home Announcement */
#home-announcement .fl-post-grid-empty p {
	margin: 0 !important;
}

#home-announcement .home-announcement {
	text-align: center;
	position: relative;
	z-index: 100;
	margin-top: -60px;
	padding-bottom: 50px;
}

#home-announcement h2 {
	color: #91ba40;
	font-family: "Lato", sans-serif;
	text-transform: uppercase;
	font-size: 1.4em;
	letter-spacing: 0.1em;
}

#home-announcement h3 {
	font-family: "Lato", sans-serif;
	font-size: 3.2em;
}

#home-announcement .read-more {
	margin-top: 40px;
}

#home-announcement .btn-read_more {
	border: 2px solid #91ba40;
	border-radius: 10px;
	padding: 10px 30px;
	text-decoration: none;
	font-size: 1.2em;
}

#home-announcement .btn-read_more:hover {
	background: #91ba40;
	color: #32394d;
}

#home-announcement .announcement-default {
	font-size: 1.3em;
	margin: 0 10% 50px;
	text-align: center;
}

/* Home News */
.home-news {
	display: flex;
	align-items: center;
}

.home-news .col-md-6:first-child {
	flex-grow: 1;
	display: block;
}

.news-thumbnail {
	background-size: cover;
	background-position: center;
	border: 5px solid #899fb1;
}

.news-thumbnail a {
	text-decoration: none;
	display: block;
	min-height: 300px;
	max-height: 300px;
}

.news-text h3 {
	font-size: 1.6em;
	font-family: Lato, sans-serif;
	line-height: 1.2em;
}

.news-text h3 a {
	text-decoration: none;
}

.news-text h3 a:hover {
	text-decoration: underline;
}

.news-text .read-more {
	color: #91ba40;
	text-align: right;
}

/*** Interior Pages ***/
/* Content Area BG color */
body:not(.home) #fl-main-content {
	background: linear-gradient(0deg,rgba(255, 255, 255, 1) 0%, rgba(230, 229, 226, 1) 100%);
}

/* Leadership */
.leadership-profiles .fl-post-feed {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
}

.leadership-profiles .fl-post-feed-post {
	background: transparent;
	border: 0;
	text-align: center;
	width: 25%;
	padding: 10px;
}

.leader-image img {
	border: 5px solid #899fb1;
	border-radius: 20px;
	width: 100%;
}

.leader-name {
	font-size: 1.3rem;
	font-weight: 600;
	margin: 10px 0 0;
}

.leader-title {
	font-weight: bold;
	margin: 8px 0;
}

.leader-email {
	margin-bottom: 4px;
}

.leader-linkedin {
	margin-top: 10px;
	font-size: 1.2rem;
}

.leader-board_designation {
	font-weight: bold;
}

.leader-board_title {
	font-weight: bold;
	margin: 0 0 8px;
}

.leader-company {
	font-style: italic;
}

@media screen and (min-width: 769px) and (max-width: 992px) {
	.leadership-profiles .fl-post-feed-post {
		width: 33.33%;
	}
}

@media screen and (max-width: 768px) {
	.leadership-profiles .fl-post-feed-post {
		width: 100%;
	}
}

/* Newsroom */
#news-feed .fl-post-feed {
	display: flex;
	flex-wrap: wrap;
}

#news-feed article {
	max-width: 33.333%;
	padding: 0 10px;
	display: flex;
	flex-direction: column;
}

#news-feed .fl-post-image {
	display: block;
	height: 200px;
	max-height: 200px;
	background-size: cover;
	background-position: center;
}

#news-feed .fl-post-image a {
	text-decoration: none;
	display: block;
	height: 100%;
}

#news-feed h2 a {
	text-decoration: none;
}

#news-feed .fl-post-text {
	background: #fff;
	flex-grow: 1;
	display: flex;
	flex-direction: column;
}

#news-feed .fl-post-text .fl-post-more-link {
	flex: 1 0 auto;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	text-align: center;
}

@media screen and (min-width: 769px) and (max-width: 992px) {
	#news-feed article {
		max-width: 50%;
	}
}

@media screen and (max-width: 768px) {
	#news-feed article {
		max-width: 100%;
	}
}

/* Policy Library */
@media screen and (min-width: 769px) {
	.policy-library {
		column-count: 2;
		column-gap: 1em;
		-webkit-column-count: 2;
		-webkit-column-gap: 1em;
		-moz-column-count: 2;
		-moz-column-gap: 1em;
	}
}

.policy-library {
  margin: 0;
  padding: 0;
	list-style-type: none;
}

.policy-library li {
	margin-bottom: 10px;
	border-bottom: 0;
}

.policy-library .policy-wrap {
	display: flex;
}

.policy-library .policy-wrap i {
	margin-right: 8px;
}

ul.policy-children {
	list-style-type: "⤷";
}

/* BIG */
@media screen and (max-width: 768px) {
	#masthead-big .fl-row-content-wrap {
		background-image: none;
	}
}

/* Success Stories */
#success-stories .success-story {
	background: #e1e6ea;
	padding: 40px;
	border: 4px solid #32394d;
	border-radius: 20px;
}

.success-author {
	margin-bottom: 10px;
	font-style: italic;
}

/* Timeline */
#timeline ul {
	position: relative;
	margin: 0;
	padding: 0;
	list-style-type: none;
}

#timeline ul::before {
	content: '';
	position: absolute;
	left: 48px;
	top: 0;
	width: 4px;
	height: 100%;
	background: #32394d;
	z-index: 1;
}

#timeline ul::after {
	content: "\f0d7";
	font-family: "Font Awesome 5 Free";
	font-weight: 600;
	font-size: 2rem;
	position: absolute;
	left: 40px;
	bottom: -22px;
}

#timeline li {
	margin-top: 20px;
	display: flex;
	position: relative;
	z-index: 10;
}

#timeline li:first-child {
	margin-top: 0;
}

#timeline .timeline-date {
	margin: 0 20px 0 0;
	min-width: 100px;
	max-width: 100px;
	text-align: center;
	padding-top: 13px;
}

#timeline .timeline-date span {
	font-weight: bold;
	font-size: 1.2rem;
	text-align: center;
	background: #899fb1;
	color: #fff;
	padding: 15px;
	border-radius: 10px;
}

#timeline .timeline-body {
	background: #e5eaee;
	padding: 20px;
	border-radius: 10px;
}

@media screen and (max-width: 768px) {
	#timeline .timeline-date {
		margin: 0;
	}
}



/*
@media screen and (min-width: 993px) {}

@media screen and (min-width: 769px) and (max-width: 992px) {}

@media screen and (max-width: 768px) {}
*/
